Subject: Re: git-compat-util.h:735:13: error: conflicting types for 'inet_ntop'

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Mar 2017 13:30:46 -0700

Jeffrey Walton <[email-masked]> writes:

> On Wed, Mar 29, 2017 at 1:11 PM, Junio C Hamano <[email-masked]> wrote:
>> Jeffrey Walton <[email-masked]> writes:
>>
>>> Some more 2.12.2 testing on Solaris 11.3 x86_64:
>>>
>>> $ make V=1
>>> gcc -o credential-store.o -c -MF ./.depend/credential-store.o.d -MQ
>>> credential-store.o -MMD -MP -I/usr/local/include -m64 -m64 -I.
>>> -D__EXTENSIONS__ -D__sun__ -DUSE_LIBPCRE -I/usr/local/include
>>> -DHAVE_ALLOCA_H -I/usr/local/include -DUSE_CURL_FOR_IMAP_SEND
>>> -I/usr/local/include -I/usr/local/include -DNO_D_TYPE_IN_DIRENT
>>> -DNO_INET_NTOP -DNO_INET_PTON  -DHAVE_PATHS_H -DHAVE_LIBCHARSET_H
>>
>> Looking at config.mak.uname, nothing in SunOS section seems to set
>> NO_INET_NTOP or NO_INET_PTON.  Why is your build setting them?
>
> Thanks. It looks like the following is the culprit (from config.log).
> Am I supposed to specify the socket library, or is Autotools supposed
> to specify it?
>
> To date, I've been specify the libraries I request, like IDN2, PCRE,
> cURL and OpenSSL.
>
> I don't recall specifying a socket library in the past, so I'm not
> sure what is supposed to happen here.

I'd be hated for saying this by many people, but my suspicion is
that those who build Git are often better off ignoring the autoconf
part of the build procedure, as it is my impression that ./configure
we ship is not as well maintained as the Makefile.  

Looking through the first part of Makefile, I notice that INET_NTOP
and INET_PTON bits are not described; we probably should add these
two close to where we say "Define NO_IPV6 if you lack IPv6 support".